package com.bsoft.api.service.Impl;

import com.bsoft.api.mapper.SysMenuMapper;
import com.bsoft.api.model.SysMenu;
import com.bsoft.api.service.SysMenuService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.List;

@Service
public class SysMenuServiceImpl implements SysMenuService {
    @Resource
    private SysMenuMapper sysMenuMapper;

    @Override
    public int add(SysMenu sysMenu) {
        return sysMenuMapper.insert(sysMenu);
    }

    @Override
    public List<SysMenu> findAll() {
        return sysMenuMapper.selectAll();
    }

    @Override
    public SysMenu find(int id) {
        return sysMenuMapper.selectByPrimaryKey(BigDecimal.valueOf(id));
    }

    @Override
    public int delete(int id) {
        return sysMenuMapper.deleteByPrimaryKey(BigDecimal.valueOf(id));
    }

    @Override
    public int logicDelete(int id) {
        return 0;
    }

    @Override
    public int update(SysMenu sysMenu) {
        return sysMenuMapper.updateByPrimaryKey(sysMenu);
    }
}
