package com.bsoft.api.service.Impl;

import com.bsoft.api.mapper.SysRoleMenuRsMapper;
import com.bsoft.api.model.SysRoleMenuRs;
import com.bsoft.api.service.SysRoleMenuRsService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.List;

@Service
public class SysRoleMenuRsServiceImpl implements SysRoleMenuRsService {
    @Resource
    private SysRoleMenuRsMapper sysRoleMenuRsMapper;

    @Override
    public int add(SysRoleMenuRs sysRoleMenuRs) {
        return sysRoleMenuRsMapper.insert(sysRoleMenuRs);
    }

    @Override
    public List<SysRoleMenuRs> findAll() {
        return sysRoleMenuRsMapper.selectAll();
    }

    @Override
    public SysRoleMenuRs find(int id) {
        return sysRoleMenuRsMapper.selectByPrimaryKey(BigDecimal.valueOf(id));
    }

    @Override
    public int delete(int id) {
        return sysRoleMenuRsMapper.deleteByPrimaryKey(BigDecimal.valueOf(id));
    }

    @Override
    public int logicDelete(int id) {
        return 0;
    }

    @Override
    public int update(SysRoleMenuRs sysRoleMenuRs) {
        return sysRoleMenuRsMapper.updateByPrimaryKey(sysRoleMenuRs);
    }
}
