package com.bsoft.api.service.Impl;

import com.bsoft.api.mapper.SysUserRoleRsMapper;
import com.bsoft.api.model.SysMenu;
import com.bsoft.api.model.SysUserRoleRs;
import com.bsoft.api.service.SysUserRoleRsService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.List;

@Service
public class SysUserRoleServiceImpl implements SysUserRoleRsService {
    @Resource
    private SysUserRoleRsMapper sysUserRoleRsMapper;

    @Override
    public int add(SysUserRoleRs sysUserRoleRs) {
        return sysUserRoleRsMapper.insert(sysUserRoleRs);
    }

    @Override
    public List<SysUserRoleRs> findAll() {
        return sysUserRoleRsMapper.selectAll();
    }

    @Override
    public SysUserRoleRs find(int id) {
        return sysUserRoleRsMapper.selectByPrimaryKey(BigDecimal.valueOf(id));
    }

    @Override
    public int delete(int id) {
        return sysUserRoleRsMapper.deleteByPrimaryKey(BigDecimal.valueOf(id));
    }

    @Override
    public int logicDelete(int id) {
        return 0;
    }

    @Override
    public int update(SysUserRoleRs sysUserRoleRs) {
        return sysUserRoleRsMapper.updateByPrimaryKey(sysUserRoleRs);
    }
}
