package com.bsoft.api.service.Impl;

import com.bsoft.api.mapper.DicDimMapper;
import com.bsoft.api.model.DicDim;
import com.bsoft.api.service.DicDimService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.List;

@Service
public class DicDimServiceImpl implements DicDimService {
    @Resource
    private DicDimMapper dicDimMapper;

    @Override
    public int add(DicDim dicDim) {
       return dicDimMapper.insert(dicDim);
    }

    @Override
    public List<DicDim> findAll() {
        return dicDimMapper.selectAll();
    }

    @Override
    public DicDim find(int id) {
        return dicDimMapper.selectByPrimaryKey(BigDecimal.valueOf(id));
    }

    @Override
    public int delete(int id) {
        return dicDimMapper.deleteByPrimaryKey(BigDecimal.valueOf(id));
    }

    @Override
    public int logicDelete(int id) {
        return 0;
    }

    @Override
    public int update(DicDim dicDim) {
        return dicDimMapper.updateByPrimaryKey(dicDim);
    }
}
