package com.bsoft.api.service.Impl;

import com.bsoft.api.mapper.SysRoleMapper;
import com.bsoft.api.model.DicOrg;
import com.bsoft.api.model.SysRole;
import com.bsoft.api.service.SysRoleService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.List;

@Service
public class SysRoleServiceImpl implements SysRoleService {
    @Resource
    private SysRoleMapper sysRoleMapper;

    @Override
    public int add(SysRole sysRole) {
        return sysRoleMapper.insert(sysRole);
    }

    @Override
    public List<SysRole> findAll() {
        return sysRoleMapper.selectAll();
    }

    @Override
    public SysRole find(int id) {
        return sysRoleMapper.selectByPrimaryKey(BigDecimal.valueOf(id));
    }

    @Override
    public int delete(int id) {
        return sysRoleMapper.deleteByPrimaryKey(BigDecimal.valueOf(id));
    }

    @Override
    public int logicDelete(int id) {
        return 0;
    }

    @Override
    public int update(SysRole sysRole) {
        return sysRoleMapper.updateByPrimaryKey(sysRole);
    }
}
